Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

On Ubuntu 10.10 when I run the command sphinx-build -b epub -d _build/doctrees . _build/epub, I see the following output:

Running Sphinx v0.6.6

Sphinx error: Builder name epub not registered make: * [epub] Error 1

It could just be a missing package, but I don't know which one. The sphinx documentation page doesn't say that the epub builder is only available in a later release.

share|improve this question
    
You could ask on the Sphinx mailing list. –  Adam Byrtek Apr 8 '11 at 14:03
    
Have you enabled the epub support? It's disabled by default. –  R.K. Jan 22 '12 at 15:07
add comment

1 Answer

up vote 1 down vote accepted

Sphinx 0.6.6 doesn't have epub support. It was added on version 1.0. You might want to check the changelog for more details.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.